"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      candidateInfo: {
        name: "孙壁涵",
        idNumber: "152201199809150015",
        phoneNumber: "19943770171",
        score: 71,
        availabilityPeriod: "全天任意时间段",
        onboardingTime: "1周内",
        dimensions: {
          teamwork: "欠佳",
          learningAbility: "优秀",
          attention: "欠佳",
          workAdaptability: "优秀",
          serviceAwareness: "中等"
        },
        dimensionDetails: {
          teamwork: "主动交流但缺乏倾听与尊重。",
          learningAbility: "积极向上，具备优秀的学习意愿。",
          attention: "对细节处理不够严谨，需提高标准意识。",
          workAdaptability: "快速适应，表现出强烈的责任心。",
          serviceAwareness: "关注客户需求，但缺乏提升顾客体验的具体措施。"
        },
        duvAnalysis: [
          {
            title: "工作经验",
            content: "有相关工作经验，能够胜任岗位要求",
            score: "优秀",
            type: "positive"
          },
          {
            title: "学历背景",
            content: "学历符合岗位要求",
            score: "良好",
            type: "positive"
          }
        ],
        interviewRecord: [
          {
            question: "请问您对餐饮服务工作有什么理解？",
            answer: "餐饮服务工作需要具备良好的服务意识和沟通能力，要以客户满意为目标，及时响应客户需求，保持微笑和耐心。同时要注意个人卫生和仪容仪表，遵守餐饮服务规范。",
            analysis: "答案表现出对岗位的基本理解，但缺乏深入思考",
            score: "中等",
            videoUrl: "https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.mp4",
            thumbnail: "/images/video-placeholder.jpg"
          },
          {
            question: "您如何处理顾客投诉？",
            answer: "首先我会认真倾听顾客的意见，表示理解和歉意。然后了解具体情况，及时向主管报告，并根据公司规定提供合适的解决方案。最后会总结经验，避免类似问题再次发生。",
            analysis: "回答显示了基本的服务意识，但处理方法较为简单",
            score: "良好",
            videoUrl: "https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.mp4",
            thumbnail: "/images/video-placeholder.jpg"
          }
        ],
        videoRecords: [
          {
            category: "服务态度测评",
            videos: [
              {
                url: "https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.mp4",
                thumbnail: "/images/thumbnail1.jpg",
                description: "微笑服务示范"
              },
              {
                url: "https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.mp4",
                thumbnail: "/images/thumbnail2.jpg",
                description: "礼貌用语展示"
              }
            ]
          }
        ],
        additionalInfo: {
          idVerification: "通过",
          phoneVerification: "通过",
          leftHandGestures: {
            passed: true,
            images: [
              "/images/left-hand-1.jpg",
              "/images/left-hand-2.jpg",
              "/images/left-hand-3.jpg"
            ]
          },
          rightHandGestures: {
            passed: true,
            images: [
              "/images/right-hand-1.jpg",
              "/images/right-hand-2.jpg",
              "/images/right-hand-3.jpg"
            ]
          },
          faceVerification: {
            passed: true,
            images: [
              "/images/face-1.jpg",
              "/images/face-2.jpg",
              "/images/face-3.jpg",
              "/images/face-4.jpg",
              "/images/face-5.jpg",
              "/images/face-6.jpg"
            ]
          }
        }
      },
      evaluationScore: 0,
      evaluationComments: "",
      dimensionLabels: {
        teamwork: "团队合作能力",
        learningAbility: "学习能力",
        attention: "细致严谨",
        workAdaptability: "工作适应性",
        serviceAwareness: "服务意识"
      }
    };
  },
  methods: {
    handleSubmit() {
      if (this.evaluationScore === 0 || !this.evaluationComments.trim()) {
        common_vendor.index.showToast({
          title: "请完成所有必填项",
          icon: "none"
        });
        return;
      }
      common_vendor.index.showToast({
        title: "评估已提交",
        icon: "success"
      });
    },
    scrollToTop() {
      common_vendor.index.pageScrollTo({
        scrollTop: 0,
        duration: 300
      });
    },
    handleShare() {
      common_vendor.index.showToast({
        title: "分享链接已复制",
        icon: "success"
      });
    },
    handleDownload() {
      common_vendor.index.showToast({
        title: "报告下载中...",
        icon: "loading"
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($data.candidateInfo.idNumber),
    b: $data.candidateInfo.additionalInfo.faceVerification.images[0],
    c: common_vendor.t($data.candidateInfo.name),
    d: common_vendor.t($data.candidateInfo.phoneNumber),
    e: common_vendor.t($data.candidateInfo.score),
    f: common_vendor.t($data.candidateInfo.idNumber),
    g: common_vendor.t($data.candidateInfo.availabilityPeriod),
    h: common_vendor.t($data.candidateInfo.onboardingTime),
    i: common_vendor.f($data.candidateInfo.dimensions, (value, key, i0) => {
      return {
        a: common_vendor.t($data.dimensionLabels[key]),
        b: common_vendor.t(value),
        c: value === "欠佳" ? 1 : "",
        d: value === "优秀" ? 1 : "",
        e: value === "中等" ? 1 : "",
        f: common_vendor.t($data.candidateInfo.dimensionDetails[key]),
        g: key
      };
    }),
    j: common_vendor.f($data.candidateInfo.duvAnalysis, (item, index, i0) => {
      return {
        a: common_vendor.t(item.title),
        b: common_vendor.t(item.score),
        c: item.type === "positive" ? 1 : "",
        d: item.type === "negative" ? 1 : "",
        e: item.type === "neutral" ? 1 : "",
        f: common_vendor.t(item.content),
        g: index
      };
    }),
    k: common_vendor.f($data.candidateInfo.interviewRecord, (record, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(record.question),
        b: common_vendor.t(record.answer),
        c: common_vendor.t(record.analysis),
        d: record.videoUrl
      }, record.videoUrl ? {
        e: record.videoUrl,
        f: record.thumbnail
      } : {}, {
        g: common_vendor.t(record.score),
        h: index
      });
    }),
    l: common_vendor.f($data.candidateInfo.videoRecords, (category, index, i0) => {
      return {
        a: common_vendor.t(category.category),
        b: common_vendor.f(category.videos, (video, vIndex, i1) => {
          return {
            a: video.url,
            b: video.thumbnail,
            c: common_vendor.t(video.description),
            d: vIndex
          };
        }),
        c: index
      };
    }),
    m: common_vendor.t($data.candidateInfo.additionalInfo.idVerification),
    n: common_vendor.t($data.candidateInfo.additionalInfo.phoneVerification),
    o: common_vendor.f($data.candidateInfo.additionalInfo.leftHandGestures.images, (image, index, i0) => {
      return {
        a: image,
        b: index
      };
    }),
    p: common_vendor.f($data.candidateInfo.additionalInfo.rightHandGestures.images, (image, index, i0) => {
      return {
        a: image,
        b: index
      };
    }),
    q: common_vendor.f($data.candidateInfo.additionalInfo.faceVerification.images, (image, index, i0) => {
      return {
        a: image,
        b: index
      };
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
